package com.eactive.eai.inbound.filter; 


public class InboundSyncZipFilter extends ZipFilter
{ 
	@Override
	public Object requestPerform(Object message) throws AdapterFilterException {
		if (message instanceof byte[] ){
			return decomp((byte[])message);
		}
       	return message;
	}

	@Override
	public Object responsePerform(Object message) throws AdapterFilterException {
		if (message instanceof byte[]){
			return comp((byte[])message);
		}
       	return message;
	}
} 
